# MSP::CCS::MGRSorUSNGCoordinates Class Reference

`#include <MGRSorUSNGCoordinates.h>`

Inheritance diagram for MSP::CCS::MGRSorUSNGCoordinates:

List of all members.

## Public Member Functions

| MGRSorUSNGCoordinates ()
| MGRSorUSNGCoordinates (CoordinateType::Enum _coordinateType)
| MGRSorUSNGCoordinates (CoordinateType::Enum _coordinateType, const char *__MGRSString)
| MGRSorUSNGCoordinates (CoordinateType::Enum _coordinateType, const char *__MGRSString, Precision::Enum __precision)
| MGRSorUSNGCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, const char *__MGRSString, Precision::Enum __precision)
| MGRSorUSNGCoordinates (const MGRSorUSNGCoordinates &c)
| ~MGRSorUSNGCoordinates ()
MGRSorUSNGCoordinates & | operator= (const MGRSorUSNGCoordinates &c)
void | set (char __MGRSString[21])
char * | MGRSString ()
Precision::Enum | precision () const

## Detailed Description

Definition at line 16 of file MGRSorUSNGCoordinates.h.

## Constructor & Destructor Documentation

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( |  | ) |

Definition at line 11 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __MGRSString |
| ) |  |  |

Definition at line 27 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __MGRSString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 36 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | const char * | __MGRSString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 45 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::MGRSorUSNGCoordinates | ( | const MGRSorUSNGCoordinates & | c | ) |

Definition at line 58 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates::~MGRSorUSNGCoordinates | ( |  | ) |

Definition at line 73 of file MGRSorUSNGCoordinates.cpp.

## Member Function Documentation

char * MGRSorUSNGCoordinates::MGRSString | ( |  | ) |

Definition at line 105 of file MGRSorUSNGCoordinates.cpp.

MGRSorUSNGCoordinates & MGRSorUSNGCoordinates::operator= | ( | const MGRSorUSNGCoordinates & | c | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 78 of file MGRSorUSNGCoordinates.cpp.

Precision::Enum MGRSorUSNGCoordinates::precision | ( |  | ) | const

Definition at line 111 of file MGRSorUSNGCoordinates.cpp.

void MGRSorUSNGCoordinates::set | ( | char | __MGRSString[21] | ) |

Definition at line 98 of file MGRSorUSNGCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/MGRSorUSNGCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/MGRSorUSNGCoordinates.cpp